<template>
    <div>

        <div>
            <v-layout v-if="externos.length != 0">
                <v-flex xs6>Nombre</v-flex>
                <v-flex>citologias</v-flex>
                <v-flex>Biopsias</v-flex>
                <v-flex>Eliminar</v-flex>
            </v-layout>
            <v-divider></v-divider>
        </div>

        <div v-for="(items) in externos" v-bind:key="items.id" :externos="externos">
            <v-layout class="mt-2">
                <v-flex xs6>
                    <span>
                    {{ items.consigned.name }}
                </span>
                </v-flex>
                <v-flex>
                    <span>{{ items.citologias }}</span>
                </v-flex>
                <v-flex>
                    <span>{{ items.biopsias }}</span>
                </v-flex>
                <v-flex>
                    <v-icon @click="deleteAction(items)">delete</v-icon>
                </v-flex>
            </v-layout>

            <p>{{ items.notes }}</p>
            <v-divider></v-divider>

        </div>

        <delete-dialog @close-dialog="dialog = false"
          v-bind:dialog.sync="dialog"
          :items="toDelete"
          source="/api/task/clinicas-externas/delete/" />

        <snacklocal v-bind:snackbar.sync="snackbar" :message="message" />

    </div>
</template>

<script>
import DeleteDialog from '../taskDialog/TaskDialogDelete';
import server from '../../server';
import snacklocal from '../SnackBarLocal';

export default {
    name: 'ListClinicaExterna',
    props: ['externos'],
    components: {
        DeleteDialog,
        snacklocal
    },
    data() {
        return {
            dialog: false,
            toDelete: {},
            snackbar: false,
            message: '',
            server: server
        }
    },
    methods: {
        deleteAction(item) {
            this.dialog = true;
            this.toDelete = item;
        },
        // Necesario para DeleteDialog component
        deleteMessage() {
            this.snackbar = true;
            this.message = "El registro fue borrado exitosamente";
            this.setTaskDetail(this.$route.params.id);
        },
        setTaskDetail(id) {
            this.$store.dispatch('setTaskClinicaExternasDetail', id);
        }
    }
}
</script>

<style>

</style>
